Page MenuHomePhabricator

Deploy cassandra metrics collector via scap3
Closed, ResolvedPublic

Description

/srv/deployment/cassandra-metrics-collector is deployed using Trebuchet, and should be converted to scap3.

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 8 2016, 10:49 PM
GWicke triaged this task as Medium priority.Oct 12 2016, 5:02 PM
GWicke added a project: Services (next).

Change 366404 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[operations/software/cassandra-metrics-collector@master] Add the Scap configuration

https://gerrit.wikimedia.org/r/366404

Change 366459 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[operations/puppet@production] Cassandra: Switch metrics-collector to use Scap3

https://gerrit.wikimedia.org/r/366459

Change 366404 merged by Filippo Giunchedi:
[operations/software/cassandra-metrics-collector@master] Add the Scap configuration

https://gerrit.wikimedia.org/r/366404

Change 366459 merged by Filippo Giunchedi:
[operations/puppet@production] Cassandra: Switch metrics-collector to use Scap3

https://gerrit.wikimedia.org/r/366459

Mentioned in SAL (#wikimedia-operations) [2017-08-10T19:41:59Z] <mobrovac@tin> Started deploy [cassandra/metrics-collector@5db1a43] (staging): First Scap3 deployment - T137371

Mentioned in SAL (#wikimedia-operations) [2017-08-10T20:00:17Z] <mobrovac@tin> Finished deploy [cassandra/metrics-collector@5db1a43] (staging): First Scap3 deployment - T137371 (duration: 18m 17s)

Change 371127 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[operations/software/cassandra-metrics-collector@master] Scap config: restart the service after a deploy

https://gerrit.wikimedia.org/r/371127

Change 371127 merged by Mobrovac:
[operations/software/cassandra-metrics-collector@master] Scap config: restart the service after a deploy

https://gerrit.wikimedia.org/r/371127

Mentioned in SAL (#wikimedia-operations) [2017-08-10T20:34:52Z] <mobrovac@tin> Started deploy [cassandra/metrics-collector@d0169ee] (staging): First Scap3 deployment - T137371

Mentioned in SAL (#wikimedia-operations) [2017-08-10T20:35:04Z] <mobrovac@tin> Finished deploy [cassandra/metrics-collector@d0169ee] (staging): First Scap3 deployment - T137371 (duration: 00m 05s)

Change 371159 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[operations/puppet@production] Cassandra metrics: Allow Scap3 to restart the service

https://gerrit.wikimedia.org/r/371159

Change 371159 merged by Filippo Giunchedi:
[operations/puppet@production] Cassandra metrics: Allow Scap3 to restart the service

https://gerrit.wikimedia.org/r/371159

Mentioned in SAL (#wikimedia-operations) [2017-08-10T20:50:41Z] <mobrovac@tin> Started deploy [cassandra/metrics-collector@d0169ee] (staging): First Scap3 deployment, take #2 - T137371

Mentioned in SAL (#wikimedia-operations) [2017-08-10T20:50:52Z] <mobrovac@tin> Finished deploy [cassandra/metrics-collector@d0169ee] (staging): First Scap3 deployment, take #2 - T137371 (duration: 00m 09s)

Mentioned in SAL (#wikimedia-operations) [2017-08-10T20:51:11Z] <mobrovac@tin> Started deploy [cassandra/metrics-collector@d0169ee] (staging): First Scap3 deployment, take #2.5 - T137371

Mentioned in SAL (#wikimedia-operations) [2017-08-10T20:51:32Z] <mobrovac@tin> Finished deploy [cassandra/metrics-collector@d0169ee] (staging): First Scap3 deployment, take #2.5 - T137371 (duration: 00m 21s)

mobrovac closed this task as Resolved.Aug 10 2017, 8:53 PM
mobrovac claimed this task.

metrics-collector uses Scap3 for its deployments now. Resolving.